
// print grid in grayscale
void grayscaleApply() {
  for(int i=0; i<numColumns-2; i++){
    for(int j=0; j<dispRows; j++){
      stroke(255);
      strokeWeight(1);
      //color rectColor = color_image.get((int)map(dataMatrix[j][i], minValue, maxValue, 2, color_image.width-2), color_image.height/2);
      //fill(rectColor);
      float greyScale = map(dataMatrix[j][i], minValue, maxValue, 230, 0);
      fill(greyScale);
      yearFrac = dataMatrix[j][i]/maxMatrix[j][i];
      rect(constantHorizontalMargin + cellWidth*i + cellWidth*(1-yearFrac)/2, 
           constantVerticalMargin + cellHeight*j, cellWidth*yearFrac, cellHeight);
           // multiply width by yearFrac, shift right by cW*(1-yearFrac)/2
    }
  }
}

// print grid in color
void colorApply() {
  PImage color_image = loadImage(color_file);
  for(int i=0; i<numColumns-2; i++){
    for(int j=0; j<dispRows; j++){
      stroke(255);
      strokeWeight(1);
      color rectColor = color_image.get((int)map(dataMatrix[j][i], minValue, maxValue, 2, color_image.width-2), color_image.height/2);
      fill(rectColor);
      //float greyScale = map(dataMatrix[j][i], minValue, maxValue, 255, 0);
      //fill(greyScale);
      yearFrac = dataMatrix[j][i]/maxMatrix[j][i];
      rect(constantHorizontalMargin + cellWidth*i + cellWidth*(1-yearFrac)/2, 
           constantVerticalMargin + cellHeight*j, cellWidth*yearFrac, cellHeight);
           // multiply width by yearFrac, shift right by cW*(1-yearFrac)/2
    }
  }
}