void loadgrid() {
  // Put data into dataMatrix & maxMatrix.
  // need to have set "totMatrix" for normalisation
  // need to have set "deweyRegExp" for selecting rows
  // need to have initialised "dataMatrix" and "maxMatrix"
  int j = 0;
  for(int i=0; i<numColumns-2; i++)
  {
    j = 0;
    for(TableRow row : table.matchRows(deweyRegExp,"deweyBin"))
    {
      dataMatrix[j][i] = row.getFloat(i+2)/totMatrix[0][i];
      j++;
    }
    j = 0;
    for(TableRow row : maxes.matchRows(deweyRegExp,"deweyBin"))
    {
      maxMatrix[j][i] = row.getFloat(i+2)/totMatrix[0][i];
      j++;
    }
  }
  
  // set max and min values
  maxValue = max2D(dataMatrix);
  minValue = min2D(dataMatrix);
}